#-------------------------------------------------
#
# Project created by QtCreator 2017-04-21T08:14:36
#
#-------------------------------------------------

QT       += widgets sql

TARGET = postregister
TEMPLATE = lib

DEFINES += POSTREGISTER_LIBRARY

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += postregister.cpp \
    data/postdata.cpp \
    postregistergrid.cpp

HEADERS += postregister.h\
        postregister_global.h \
    data/postdata.h \
    postregistergrid.h

include(../config_plugin.pri)

ODB_FILES = postregister/data/postdata.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

DISTFILES += \
    postregister.json

FORMS +=

RESOURCES +=
